org.apache.cassandra.service.paxos

## Class PrepareResponse.PrepareResponseSerializer

- java.lang.Object
- - org.apache.cassandra.service.paxos.PrepareResponse.PrepareResponseSerializer

All Implemented Interfaces:
  IVersionedSerializer<PrepareResponse>

Enclosing class:
  PrepareResponse

    public static class PrepareResponse.PrepareResponseSerializer
    extends java.lang.Object
    implements IVersionedSerializer<PrepareResponse>

### Constructor Summary

Constructors
Constructor and Description
`PrepareResponseSerializer()`

### Method Summary

All Methods Instance Methods Concrete Methods
`PrepareResponse` `deserialize(DataInputPlus in, int version)` Deserialize into the specified DataInputStream instance.
`void` `serialize(PrepareResponse response, DataOutputPlus out, int version)` Serialize the specified type into the specified DataOutputStream instance.
`long` `serializedSize(PrepareResponse response, int version)` Calculate serialized size of object without actually serializing.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PrepareResponseSerializer

    public PrepareResponseSerializer()

### Method Detail

#### serialize

    public void serialize(PrepareResponse response,
                          DataOutputPlus out,
                          int version)
                   throws java.io.IOException

Description copied from interface: `IVersionedSerializer`
Serialize the specified type into the specified DataOutputStream instance.

Specified by:
  `serialize` in interface `IVersionedSerializer<PrepareResponse>`
Parameters:
  `response` - type that needs to be serialized
  `out` - DataOutput into which serialization needs to happen.
  `version` - protocol version
Throws:
  `java.io.IOException` - if serialization fails

#### deserialize

    public PrepareResponse deserialize(DataInputPlus in,
                                       int version)
                                throws java.io.IOException

Description copied from interface: `IVersionedSerializer`
Deserialize into the specified DataInputStream instance.

Specified by:
  `deserialize` in interface `IVersionedSerializer<PrepareResponse>`
Parameters:
  `in` - DataInput from which deserialization needs to happen.
  `version` - protocol version
Returns:
  the type that was deserialized
Throws:
  `java.io.IOException` - if deserialization fails

#### serializedSize

    public long serializedSize(PrepareResponse response,
                               int version)

Description copied from interface: `IVersionedSerializer`
Calculate serialized size of object without actually serializing.

Specified by:
  `serializedSize` in interface `IVersionedSerializer<PrepareResponse>`
Parameters:
  `response` - object to calculate serialized size
  `version` - protocol version
Returns:
  serialized size of object t